#!/bin/bash
set -e
set -u

IFEXT=enp0s3
IFDMZ=enp0s8
IFINT=enp0s9

# ici instruction pour activer le routage
sysctl -w net.ipv4.ip_forward=1

# ici instructions pour definir les stratégies par defaut (etape 1)
sudo iptables -P INPUT DROP
sudo iptables -P OUTPUT DROP
sudo iptables -P FORWARD DROP

# ici instructions pour remettre a zero les chaines filter et nat (etape 1)
sudo iptables -F -t nat
sudo iptables -F -t filter

# Loopback
sudo iptables -A INPUT -i lo -j ACCEPT
sudo iptables -A OUTPUT -o lo -j ACCEPT

# Connexion ssh serveur
sudo iptables -A INPUT -p tcp --dport 22 -j ACCEPT #entrée
sudo iptables -A OUTPUT -p tcp --sport 22 -j ACCEPT #sortie

# Requete DNS client
sudo iptables -A OUTPUT -p udp --dport 53 -j ACCEPT
sudo iptables -A INPUT -p udp --sport 53 -j ACCEPT

# Acces HTTP client
sudo iptables -A OUTPUT -p udp --dport 80 -j ACCEPT
sudo iptables -A INPUT -p udp --sport 80 -j ACCEPT

